{"openapi":"3.0.4","info":{"title":"Get Scenario","description":"Get a Scenario definition from a single scope.\r\n            \r\nThe response will return either the scenario that has been stored, or a failure explaining why the request was unsuccessful.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/scenarios/{scope}/{code}":{"get":{"tags":["Scenarios"],"summary":"Get Scenario","description":"Get a Scenario definition from a single scope.\r\n            \r\nThe response will return either the scenario that has been stored, or a failure explaining why the request was unsuccessful.","operationId":"GetScenario","parameters":[{"name":"scope","in":"path","description":"The scope of the Scenario to retrieve.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Scenario to retrieve.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the Scenario. Defaults to return the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"responses":{"200":{"description":"The successfully retrieved Scenario","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetScenarioResponse"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetScenarioResponse"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/GetScenarioResponse"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}